// HC-RS04 Ultransonic Ranging Module to ATtiny44 Microcontroller
// Arduino to Processing via FTDI

import processing.serial.*;
Serial myPort;  // set up serial port

int vertical = 0;  // graph variable

void setup() {
  size(640, 480);  // set window size
  //println(Serial.list());  // list all available serial ports
  myPort = new Serial(this, "/dev/cu.usbserial-FTHC2NDN", 9600);
  myPort.bufferUntil('\n');  
}

void draw() {
}

void serialEvent (Serial myPort) {
  String data = myPort.readStringUntil('\n');  // get data via FTDI
  // println(inString);  // print data
  if (data != null) {
    data = trim(data);  // trim off whitespace if any
    float range = float(data);  // convert to strng to float
    range = map(range, 0, 80, 0, width);  // map range
    stroke(255, 0, 0);  // draw graph
    line(vertical, height, vertical, height - range);
    if (vertical >= width) {  // at screen’s edge, go back 
      background(0, 255, 0);
      vertical = 0;
    }
    else {
      vertical++;  // increment horizontal position
    }
  }
}



